/*
 *  AdORB
 *  Copyright (C) 2006 Victor Ananiev
 *
 *  This file is part of ADORB.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#import <Foundation/Foundation.h>

@interface QuoteItem : NSObject 
{
    NSString* _symbol;
    NSString* _name;
    double _value;
    double _volume;
    NSString* _market;
}

@property(getter=quote, setter=setQuote) double _value;
@property(copy, getter=market, setter=setMarket) NSString *_market;
@property(copy, getter=symbol, setter=setSymbol) NSString *_symbol;
@property(getter=volume, setter=setVolume) double _volume;
@property(copy, getter=name, setter=setName) NSString *_name;

- initWithDictionary:dict;
- (void) update;
@end
